# Copyright 2021- Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)
from odoo import api, fields, models


class AccOperation(models.Model):
    _inherit = "acc.operation"

    # ------------------------------------------------------
    # Fields declaration
    # ------------------------------------------------------

    website_background_image_url = fields.Char(
        "Background image URL", compute="_compute_website_background_image_url"
    )

    # ------------------------------------------------------
    # SQL Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------
    @api.depends("image_1920")
    def _compute_website_background_image_url(self):
        for op in self:
            # op.website_background_image_url = (
            #     op.image_url(op, "image_256")
            #     if op.image_1920
            #     else "/oacc_portal/static/src/img/img-photovoltaique.jpg"
            # )
            op.website_background_image_url = (
                "/oacc_portal/static/src/img/img-photovoltaique.jpg"
            )

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
